package com.hw.idcardservice;

interface OcrIDCardReaderAidl {

	int setIDCardID(in int mainID,in int[] subID);

	int addIDCardID(in int mainID,in int[] subID);

	int detectDocument();

	int autoProcessIDCard(out int[] cardType);

    int getSubId();

    String getIDCardName();

	String getFieldResult(in int index);

    String getFieldName(in int index);

    int saveImageEx(in String lpPath,in int type);

	int setLanguage(in int langType);

	int setIOStatus(in int ioType,in int open);

	int acquireImage(in int imageSizeType);

	int checkUVDull(in boolean forceAcquire,in int reserve);

	int fibreDetect(in boolean acquireImage);

	int getFibrePos(in int index, out int[] param);

	int getImageSourceType(in int mainID, in int scale, in boolean acquireImage);
}
