package com.hw.nativeapp.httpnet;


import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.hw.nativeapp.BuildConfig;
import com.hw.nativeapp.httpnet.entity.IndexStatisticsBean;
import com.hw.nativeapp.httpnet.entity.LoginBean;
import com.hw.nativeapp.httpnet.entity.LoginRequestBean;
import com.hw.nativeapp.httpnet.entity.RelatiInfoBean;
import com.hw.nativeapp.httpnet.entity.ResponseData;
import com.hw.nativeapp.httpnet.entity.UpdateVerAskBean;
import com.hw.nativeapp.httpnet.entity.UpdateVerReqBean;

import java.util.List;
import java.util.Map;

import io.reactivex.Observable;
import okhttp3.MultipartBody;
import retrofit2.http.Body;
import retrofit2.http.DELETE;
import retrofit2.http.GET;
import retrofit2.http.Multipart;
import retrofit2.http.POST;
import retrofit2.http.PUT;
import retrofit2.http.Part;
import retrofit2.http.Query;
import retrofit2.http.QueryMap;

/**
 * @create by ywq
 * @date 2020/5/12
 * @description :
 */
public interface FileApiService {

    String COMMON = BuildConfig.FILEAPI_PATH;


//    //腾讯文件上传
    @Multipart
    @POST(COMMON + "/upload/single/minio")
    Observable<ResponseData<JSONObject>> uploadFile(
            @Query("bucket")String bucket,
            @Part MultipartBody.Part file);



}
